net.sf.jasperreports.engine

## Interface ImageMapRenderable

- All Superinterfaces:
    JRImageMapRenderer, JRRenderable, Renderable, java.io.Serializable
  All Known Implementing Classes:
    BatikRenderer, DrawChartRenderer, JRSimpleImageMapRenderer, WrappingImageMapRenderable

      public interface ImageMapRenderable
      extends Renderable, JRImageMapRenderer

  Image renderer able to produce image maps.
  Version:
    $Id: ImageMapRenderable.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.Renderable

      `PROPERTY_IMAGE_DPI`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<JRPrintImageAreaHyperlink>` | `getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)` Returns the list of `image map areas`.
    `boolean` | `hasImageAreaHyperlinks()` Indicates whether the renderer actually includes any image map areas.

    - ### Methods inherited from interface net.sf.jasperreports.engine.Renderable

      `getDimension, getId, getImageData, getImageTypeValue, getTypeValue, render`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRImageMapRenderer

      `renderWithHyperlinks`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRRenderable

      `getDimension, getImageData, getImageType, getType, render`

- - ### Method Detail

    - #### getImageAreaHyperlinks

          java.util.List<JRPrintImageAreaHyperlink> getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)
                                                                           throws JRException

      Returns the list of `image map areas`.
      Specified by:
        `getImageAreaHyperlinks` in interface `JRImageMapRenderer`
      Parameters:
        `renderingArea` - the area on which the image would be rendered
      Returns:
        a list of `JRPrintImageAreaHyperlink` instances.
      Throws:
        `JRException`

    - #### hasImageAreaHyperlinks

          boolean hasImageAreaHyperlinks()

      Indicates whether the renderer actually includes any image map areas.
      Specified by:
        `hasImageAreaHyperlinks` in interface `JRImageMapRenderer`
      Returns:
        whether the renderer actually includes any image map areas

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com